/**
 * Copyright 2020 ZTE Corporation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.onap.holmes.common.engine.service;

import org.jvnet.hk2.annotations.Contract;
import org.onap.holmes.common.engine.entity.EngineEntity;

import java.util.List;

@Contract
public interface EngineEntityService {
    EngineEntity getEntity(String id);
    List<EngineEntity> getAllEntities();
    List<String> getLegacyEngines();
    void updateEntity(EngineEntity entity);
    void insertEntity(EngineEntity entity);
    void deleteEntity(String id);
}
